function v = vectorizeCellArray(c);
%function v = vectorizeCellArray(c);
%
%only works for cell arrays where each cell contains a matrix.
%returns one vector containing the concatination of the vectorization of all the matricies
v = [];
for i = 1:length(c)
   v = [v;c{i}(:)];
end